%define apiver    3
%define major     0
%define libname   %mklibname sdl%{apiver}_image %{major}
%define develname %mklibname sdl%{apiver}_image -d

%define sname     SDL3_image

Summary:        Simple DirectMedia Layer 3 - image
Name:           sdl3_image
Version:        3.2.4
Release:        %mkrel 2
License:        zlib
Group:          System/Libraries
URL:            https://github.com/libsdl-org/SDL_image
Source0:        https://www.libsdl.org/projects/SDL_image/release/%{sname}-%{version}.tar.gz

BuildRequires:  cmake
BuildRequires:  cmake(SDL3)
BuildRequires:  pkgconfig(libavif)
BuildRequires:  pkgconfig(libjpeg)
BuildRequires:  pkgconfig(libjxl)
BuildRequires:  pkgconfig(libpng)
BuildRequires:  pkgconfig(libtiff-4)
BuildRequires:  pkgconfig(libwebp)

Provides:       bundled(stb_image) = 2.30
Provides:       bundled(miniz) = 1.15
# Some custom version of it:
Provides:       bundled(nanosvg)

%description
This is a simple library to load images of various formats as SDL3 surfaces.
This library currently supports BMP, PPM, PCX, GIF, JPEG, JXL, PNG,
TIFF and WEBP formats.

%package -n %{libname}
Summary:        Simple DirectMedia Layer 3 - image loading library
Group:          System/Libraries

%description -n %{libname}
This is a simple library to load images of various formats as SDL3 surfaces.
This library currently supports BMP, PPM, PCX, GIF, JPEG, JXL, PNG,
TIFF and WEBP formats.

%package -n %{develname}
Summary:        Headers for developing programs that will use %{name}
Group:          Development/C
Requires:       %{libname} = %{version}-%{release}
Provides:       lib%{name}-devel = %{version}-%{release}
Provides:       %{name}-devel = %{version}-%{release}
Provides:       SDL%{apiver}_image-devel = %{version}-%{release}

%description -n %{develname}
This package contains the headers that programmers will need to develop
applications which will use %{name}.

%package -n %{libname}-test
Summary:        Test binary for %{name}
Group:          System/Libraries

%description -n %{libname}-test
This package contains the binaries `showimage' and `showanim' to
test the associated library.

%prep
%autosetup -p1 -n %{sname}-%{version}

%build
%cmake \
       -DSDLIMAGE_AVIF=ON              \
       -DSDLIMAGE_AVIF_SAVE=ON         \
       -DSDLIMAGE_AVIF_SHARED=OFF      \
       -DSDLIMAGE_BACKEND_STB=ON       \
       -DSDLIMAGE_BMP=ON               \
       -DSDLIMAGE_DEPS_SHARED=ON       \
       -DSDLIMAGE_GIF=ON               \
       -DSDLIMAGE_INSTALL=ON           \
       -DSDLIMAGE_INSTALL_CPACK=ON     \
       -DSDLIMAGE_INSTALL_MAN=ON       \
       -DSDLIMAGE_JPG=ON               \
       -DSDLIMAGE_JPG_SAVE=ON          \
       -DSDLIMAGE_JPG_SHARED=OFF       \
       -DSDLIMAGE_JXL=ON               \
       -DSDLIMAGE_JXL_SHARED=OFF       \
       -DSDLIMAGE_LBM=ON               \
       -DSDLIMAGE_PCX=ON               \
       -DSDLIMAGE_PNG=ON               \
       -DSDLIMAGE_PNG_SAVE=ON          \
       -DSDLIMAGE_PNG_SHARED=OFF       \
       -DSDLIMAGE_PNM=ON               \
       -DSDLIMAGE_QOI=ON               \
       -DSDLIMAGE_SAMPLES=ON           \
       -DSDLIMAGE_SAMPLES_INSTALL=ON   \
       -DSDLIMAGE_STRICT=OFF           \
       -DSDLIMAGE_SVG=ON               \
       -DSDLIMAGE_TESTS=ON             \
       -DSDLIMAGE_TESTS_INSTALL=OFF    \
       -DSDLIMAGE_TGA=ON               \
       -DSDLIMAGE_TIF=ON               \
       -DSDLIMAGE_TIF_SHARED=OFF       \
       -DSDLIMAGE_VENDORED=OFF         \
       -DSDLIMAGE_WEBP=ON              \
       -DSDLIMAGE_WEBP_SHARED=OFF      \
       -DSDLIMAGE_WERROR=OFF           \
       -DSDLIMAGE_XCF=ON               \
       -DSDLIMAGE_XPM=ON               \
       -DSDLIMAGE_XV=ON

%cmake_build

%install
%cmake_install

rm -rf %{buildroot}%{_datadir}/licenses/SDL3_image/LICENSE.txt

mv %{buildroot}%{_bindir}/showanim{,-sdl%{apiver}}
mv %{buildroot}%{_bindir}/showimage{,-sdl%{apiver}}

%check
%ctest

%files -n %{libname}-test
%doc README.md
%{_bindir}/showanim-sdl%{apiver}
%{_bindir}/showimage-sdl%{apiver}

%files -n %{libname}
%license LICENSE.txt
%doc README.md CHANGES.txt
%{_libdir}/libSDL%{apiver}_image.so.%{major}{,.*}

%files -n %{develname}
%doc README.md
%{_libdir}/libSDL%{apiver}_image.so
%{_includedir}/%{sname}/
%{_libdir}/pkgconfig/sdl3-image.pc
%{_libdir}/cmake/%{sname}/
%{_mandir}/man3/IMG*.3*
%{_mandir}/man3/SDL_IMAGE*.3*


%changelog
* Thu Jul 03 2025 daviddavid <daviddavid> 3.2.4-2.mga10
+ Revision: 2244665
- Mageia 10 Mass Rebuild

* Thu May 15 2025 daviddavid <daviddavid> 3.2.4-1.mga10
+ Revision: 2183724
- initial package sdl3_image

